DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 > Struct Template Reference

Discrete Log (DL) crypto scheme options. More...

`#include <pubkey.h>`

Inheritance diagram for DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 >:

## Public Types

typedef T3 | KeyAgreementAlgorithm
typedef T4 | KeyDerivationAlgorithm
typedef T5 | SymmetricEncryptionAlgorithm
Public Types inherited from DL_KeyedSchemeOptions< T1, T2 >
typedef T2 | Keys
typedef Keys::PrivateKey | PrivateKey
typedef Keys::PublicKey | PublicKey
Public Types inherited from DL_SchemeOptionsBase< T1, T2::PublicKey::GroupParameters >
typedef T1 | AlgorithmInfo
typedef T2 | GroupParameters
typedef GroupParameters::Element | Element

## Detailed Description

template<class T1, class T2, class T3, class T4, class T5>
struct DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 >

Discrete Log (DL) crypto scheme options.

Template Parameters

  T1 | algorithm information
  T2 | keys used in the scheme
  T3 | key agreement algorithm
  T4 | key derivation algorithm
  T5 | symmetric encryption algorithm

Definition at line 1944 of file pubkey.h.

## Member Typedef Documentation

## KeyAgreementAlgorithm

template<class T1, class T2, class T3, class T4, class T5>

typedef T3 DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 >::KeyAgreementAlgorithm

Definition at line 1946 of file pubkey.h.

## KeyDerivationAlgorithm

template<class T1, class T2, class T3, class T4, class T5>

typedef T4 DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 >::KeyDerivationAlgorithm

Definition at line 1947 of file pubkey.h.

## SymmetricEncryptionAlgorithm

template<class T1, class T2, class T3, class T4, class T5>

typedef T5 DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 >::SymmetricEncryptionAlgorithm

Definition at line 1948 of file pubkey.h.

The documentation for this struct was generated from the following file:

- pubkey.h